Skip to main content
PATCH
Update offer

Authorizations

Authorization
string
header
required

API token from the Zenedu dashboard

Path Parameters

bot
integer
required

Bot ID

offer
integer
required

Offer ID

Body

application/json
name
string

Offer name

Maximum string length: 250
price
number

Price in main currency units

Required range: x >= 0
currency
enum<string>

Currency code

Available options:
USD,
EUR,
UAH,
PLN,
KZT,
CNY,
CHF,
CZK,
GBP,
SGD,
ILS,
CAD,
JPY,
HKD,
AUD,
MDL,
BGN,
TRY,
KGS,
MXN,
RON
is_subscription
boolean

Whether this is a recurring subscription

subscription_period
object | null

Billing period of a subscription

public_name
string | null

Name shown on the payment page

Maximum string length: 250
landing_text
string | null

Payment page description

landing_button
string | null

Payment page button text

Maximum string length: 250

Offer description

offerables
object[]

Products and resources included in the offer, in display order. When passed on update, replaces the current list

payment_system_ids
integer[]

Payment system IDs attached to the offer. When passed on update, replaces the current list

settings
object

Offer settings grouped by key: access, timeLimit, usageLimit, paymentNotification, subscriptionNotification, paymentReminder, removeFromProducts, request_contacts, landingRequestContacts, appRequestContacts, subscriptionPaymentAttempts, landingPaymentEmail, subscriptionRenewalReminder, landingPaymentReminder, delete_steps, landingSettings, botMessage, paidTrial, appDisplay

Response

Offer updated

data
object